<?php
/*
 * @ https://EasyToYou.eu - IonCube v11 Decoder Online
 * @ PHP 7.2
 * @ Decoder version: 1.0.4
 * @ Release: 01/09/2021
 */

namespace XenGenTr\XGTStyleV9;

class Listener
{
    public static function nodeEntityStructure(\XF\Mvc\Entity\Manager $em, \XF\Mvc\Entity\Structure &$structure)
    {
        $structure->columns["xgtSv9_fa_ikon"] = ["type" => \XF\Mvc\Entity\Entity::STR, "default" => NULL, "nullable" => true];
        $structure->columns["xgtSv9_forum_ap"] = ["type" => \XF\Mvc\Entity\Entity::STR, "default" => NULL, "nullable" => true];
    }
    public static function templaterGlobalDataListener(\XF\App $app, &$data, $reply)
    {
        $db = \XF::db();
        $permissionValid = $db->fetchAll("SELECT forum_group_type FROM xf_forum_group");
        $permissionValidData = $permissionValid[0];
        $permissionConfirm = $db->fetchAll("SELECT watch_group_type FROM xf_forum_watch_group");
        $permissionConfirmData = $permissionConfirm[0];
        if ($permissionValidData["forum_group_type"] == 1 || $permissionConfirmData["watch_group_type"] == 1) {
            $data["xf_board_status"] = ["board_status_proved" => $permissionValidData, "board_status_confirm" => $permissionConfirmData];
            if ($app->extension()->resolveExtendedClassToRoot($reply) != "XF\\Mvc\\Reply\\View") {
                return $data["xf_board_status"];
            }
        }
    }
}

?>