<?php
/*
 * @ https://EasyToYou.eu - IonCube v11 Decoder Online
 * @ PHP 7.2
 * @ Decoder version: 1.0.4
 * @ Release: 01/09/2021
 */

namespace XenGenTr\XGTStyleV9\Widget;

class Footer extends \XF\Widget\AbstractWidget
{
    public function render()
    {
        $db = \XF::db();
        $permissionValid = $db->fetchAll("SELECT watch_group_type FROM xf_forum_watch_group");
        $permissionValidData = $permissionValid[0];
        if ($permissionValidData["watch_group_type"] != 1) {
            return "";
        }
        $viewParams = ["forumStatistics" => $this->app->forumStatistics];
        return $this->renderer("xgtSv9_footer", $viewParams);
    }
    public function verifyOptions(\XF\Http\Request $request, &$options, &$error = NULL)
    {
        $options = $request->filter(["limit" => "uint", "rich_usernames" => "bool", "show_counter" => "bool"]);
        if ($options["limit"] < 1) {
            $options["limit"] = 1;
        }
        return true;
    }
}

?>