<?php

namespace XenGenTr\XGTStyleV9\XF\Admin\Controller;

class Category extends XFCP_Category
{
    protected function nodeSaveProcess(\XF\Entity\Node $node)
    {
        $kategoriIkon = $this->filter(['node' => [
			'xgtSv9_fa_ikon' => 'str',
			'xgtSv9_forum_ap' => 'str'
            ]]
        );

        $formAction = parent::nodeSaveProcess($node);

        $formAction->setup(function() use ($node, $kategoriIkon)
        {
            $node->xgtSv9_fa_ikon = $kategoriIkon['node']['xgtSv9_fa_ikon'];
			$node->xgtSv9_forum_ap = $kategoriIkon['node']['xgtSv9_forum_ap'];
  
        });

        return $formAction;
    }
}