<?php

namespace XenGenTr\XGTStyleV9\XF\Admin\Controller;

use XF\Mvc\FormAction;

class Page extends XFCP_Page
{
    protected function nodeSaveProcess(\XF\Entity\Node $node)
    {
        $forumArkaplan = $this->filter(
            ['node' => [
                'xgtSv9_forum_ap' => 'str'
            ]]
        );
        $formAction = parent::nodeSaveProcess($node);
        $formAction->setup(function () use ($node, $forumArkaplan) 
		{
            $node->xgtSv9_forum_ap = $forumArkaplan['node']['xgtSv9_forum_ap'];
        });
        return $formAction;
    }
}