<?php
/*
 * @ https://EasyToYou.eu - IonCube v11 Decoder Online
 * @ PHP 7.2
 * @ Decoder version: 1.0.4
 * @ Release: 01/09/2021
 */

namespace XenGenTr\XGTStyleV9\XF\Pub\Controller;

class Forum extends XFCP_Forum
{
    public function actionIndex(\XF\Mvc\ParameterBag $params)
    {
        $db = \XF::db();
        $permissionValid = $db->fetchAll("SELECT forum_group_type FROM xf_forum_group");
        $permissionValidData = $permissionValid[0];
        if ($permissionValidData["forum_group_type"] != 1) {
            return "";
        }
        if ($params->node_id || $params->node_name) {
            return $this->rerouteController("XF:Forum", "Forum", $params);
        }
        if ($this->responseType == "rss") {
            return $this->getForumRss();
        }
        $this->options();
        switch ($this->options()->forumsDefaultPage) {
            case "new_posts":
                return $this->rerouteController("XenGenTr\\XGTStyleV9\\XF\\Pub\\Controller\\Forum", "newposts");
                break;
            case "forums":
            default:
                return $this->rerouteController("XenGenTr\\XGTStyleV9\\XF\\Pub\\Controller\\Forum", "list");
        }
    }
}

?>